{% extends "registration/registration_base.html" %}
{% load static %}
{% load i18n %}
{% block title %}{% trans "Confirm password reset" %}{% endblock %}

{% block meta %}
<meta name="referrer" content="origin">
{% endblock %}

{% block content %}


{% if validlink %}
{% if form.non_field_errors %}
<div class="col-11 col-md-4 alert alert-info animated fadeInDown"
    style="display: inline-block; margin: 15px auto; position: fixed; transition: all 0.5s ease-in-out 0s; z-index: 1031; top: 20px; left: 20px;">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <i class="material-icons">close</i>
    </button>
    <span> {{form.non_field_errors}}</span>
</div>
{% endif %}
{% if form.new_password1.help_text %}
<div class="col-11 col-md-4 alert alert-warning animated fadeInDown"
    style="display: inline-block; margin: 15px auto; position: fixed; transition: all 0.5s ease-in-out 0s; z-index: 1031; top: 111px; right: 20px;">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <i class="material-icons">close</i>
    </button>
    <span> {{form.new_password1.help_text}}</span>
</div>
{% endif %}
<div class="container">
    <div class="row">
        <div class="col-lg-4 col-md-6 col-sm-8 ml-auto mr-auto">

            <form class="form" action="." method="post">
                {% csrf_token %}
                <div class="card card-login card-hidden">
                    <div class="card-header card-header-{{color_class}} text-center">
                        <h4 class="card-title">Reset Password</h4>
                        <div class="social-line">

                            <a href="{% url 'app' %}" title="Home" class="btn btn-just-icon btn-link btn-white">
                                <i class="fa fa-home"></i>
                            </a>
                        </div>
                    </div>
                    <div class="card-body ">
                        <p class="card-description text-center">Enter your new password below to reset your password.
                        </p>
                        <span class="bmd-form-group">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <i class="material-icons">lock</i>
                                    </span>
                                </div>
                                <input type="password" name="new_password1" autocomplete="new-password" required=""
                                id="id_new_password1" class="form-control" placeholder="Password">
                            </div>
                        </span>
                        {% if form.new_password1.errors %}
                        <label class="error">{{form.new_password1.errors}}</label>
                        {% endif %}
                        <span class="bmd-form-group">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <i class="material-icons">lock</i>
                                    </span>
                                </div>

                                <input type="password" name="new_password2" autocomplete="new-password" required=""
                                    id="id_new_password2" class="form-control" placeholder="Confirm Password" />
                            </div>
                        </span>
                        {% if form.new_password2.errors %}
                        <span class="text-danger">{{ form.new_password2.errors.as_text }}</span>
                        {% endif %}

                    </div>
                    <div class="card-footer justify-content-center">
                        <button type="submit" class="btn btn-{{color_class}} btn-link btn-lg">Set Password</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
{% else %}
<div class="content-center">
    <div class="row">
        <div class="col-md-12">
            <h2>Oops! &#128534;</h2>
            <h4>Password reset unsuccessful. Please <a href="{% url 'auth_password_reset' %}">try again.</a>
            </h4>
        </div>
    </div>
</div>
{% endif %}
{% endblock %}